<template>
  <div>
    <OfferModal
      @close="displayOfferModal = false"
      @accept="accept"
      v-if="displayOfferModal"
    />
    <h1 class="mb-3">You’re eligible for treatment!</h1>
    <p class="text-base mb-6">Now sign up for SMS notifications.</p>
    <div class="features space-y-3 mb-8">
      <div
        class="flex items-center p-3 text-base bg-white rounded-lg"
        v-for="(item, idx) in features"
        :key="idx"
      >
        <div class="feature-img" :class="item.iconClass"/>
        <span>{{ item.text }}</span>
      </div>
    </div>
    <CommonBtn
      class="mb-3"
      text="Text me updates"
      @click="handleClick(true)"
    />
    <CommonBtnOutline
      class="mb-6"
      text="No thanks"
      @click="handleClick(false)"
    />
    <p class="text-xs">By clicking TEXT ME UPDATES, I agree to receive calls and texts from Shapiro MD, its corporate affiliates, and marketing partners to the phone number that I provided above and I understand that consent is not a condition of purchase.</p>
  </div>
</template>

<script>
import OfferModal from "@/components/modals/OfferModal";
import CommonBtn from "@/components/common/CommonBtn";
import CommonBtnOutline from "@/components/common/CommonBtnOutline";
import {answersMixin} from "@/utils/mixins";
export default {
  mixins: [answersMixin],
  name: "SMSUpdates",
  components: {CommonBtnOutline, CommonBtn, OfferModal},
  data() {
    return {
      displayOfferModal: true,
      textUpdates: false,
      features: [
        {
          text: 'Updates from your doctor',
          iconClass: 'msg'
        },
        {
          text: 'Shipping notifications',
          iconClass: 'shipping'
        },
        {
          text: 'Prescription expiration alerts',
          iconClass: 'prescription'
        },
        {
          text: 'Latest offers and treatments from Rex MD',
          iconClass: 'offers'
        },
      ]
    }
  },
  methods: {
    accept() {
      this.setAnswer(this.answersKeys.OFFER_MODAL, true)
      this.closeModal()
    },
    closeModal() {
      this.displayOfferModal = false
    },
    handleClick(textUpdates) {
      this.setAnswer(this.answersKeys.SMS_UPDATES, textUpdates)
      this.textUpdates = textUpdates
      this.$emit('nextStage')
    }
  }
}
</script>

<style scoped>
.feature-img {
  @apply bg-no-repeat bg-contain bg-center mr-3;
  width: 60px;
  height: 45px;
}

.feature-img.msg {
  background-image: url("~@/assets/img/icons/updates.png");
}

.feature-img.shipping {
  background-image: url("~@/assets/img/icons/free-shipping.png");
}

.feature-img.prescription {
  background-image: url("~@/assets/img/icons/prescription.png");
}

.feature-img.offers {
  background-image: url("~@/assets/img/icons/offers.png");
}
</style>
